import { ObjectAbstract } from '../common/object-abstract';
import { ResultType, BasicInfoAtomType } from '../common/data-type';
import { CameraRoamAtomType, CameraRoamType } from '../common/interface/camera';
import { ObjectController } from '../common/object-controller';
declare class CameraRoam extends ObjectController implements ObjectAbstract {
    className: string;
    private CameraRoamAtom;
    constructor(opt?: CameraRoamType);
    get frames(): Array<any>;
    set frames(frames: Array<any>);
    GetFrames(): Promise<ResultType>;
    SetFrames(frames: Array<any>): Promise<ResultType>;
    GetScheme(): {
        CameraRoamAtom: CameraRoamAtomType;
    };
    GetData(): CameraRoamType;
    SetData(opt: CameraRoamType): void;
    generateAtomData(opt: CameraRoamType): {
        CameraRoamAtom?: Partial<CameraRoamAtomType>;
        BasicInfoAtom?: Partial<BasicInfoAtomType>;
    };
}
export default CameraRoam;
