import { ObjectAbstract } from '../../../common/object-abstract';
import { ResultType, PolygonType, PolygonLoopType, PolygonEntityAtomType, BasicInfoAtomType } from '../../../common/data-type';
import { ObjectController } from '../../../common/object-controller';
declare class Polygon extends ObjectController implements ObjectAbstract {
    className: string;
    private PolygonEntityAtom;
    constructor(opt?: PolygonType);
    get polygon(): PolygonLoopType;
    set polygon(polygon: PolygonLoopType);
    GetPolygon(): Promise<ResultType>;
    SetPolygon(polygon: PolygonLoopType): Promise<ResultType>;
    GetScheme(): {
        PolygonEntityAtom: PolygonEntityAtomType;
    };
    GetData(): PolygonType;
    SetData(opt: PolygonType): void;
    generateAtomData(opt: PolygonType): {
        PolygonEntityAtom?: Partial<PolygonEntityAtomType>;
        BasicInfoAtom?: Partial<BasicInfoAtomType>;
    };
}
export default Polygon;
