import { Basic } from '../common/basic';
import { ResultType } from '../common/data-type';
import RangeController from './covering/range-controller';
import PoiController from './covering/poi-controller';
import PathController from './covering/path-controller';
import Text3DController from './covering/text3d-controller';
import ParticleController from './covering/particle-controller';
import HighlightAreaController from './covering/highlightarea-controller';
import HeatMapController from './covering/heatmap-controller';
import ColumnarHeatMapController from './covering/columnarheatmap-controller';
import WindowController from './covering/window-controller';
import ViewshedController from './covering/viewshed-controller';
import ParabolaController from './covering/parabola-controller';
import RasterController from './covering/raster-controller';
import RoadHeatMapController from './covering/roadheatmap-controller';
import RealTimeVideoController from './covering/realtimevideo-controller';
import SpaceHeatMapController from './covering/spaceheatmap-controller';
import BoundController from './covering/bound-controller';
declare class CoveringController extends Basic {
    private RequestEntity;
    Range: RangeController;
    Poi: PoiController;
    Path: PathController;
    Text3D: Text3DController;
    Particle: ParticleController;
    HighlightArea: HighlightAreaController;
    HeatMap: HeatMapController;
    ColumnarHeatMap: ColumnarHeatMapController;
    Window: WindowController;
    Viewshed: ViewshedController;
    Parabola: ParabolaController;
    Raster: RasterController;
    RoadHeatMap: RoadHeatMapController;
    RealTimeVideo: RealTimeVideoController;
    SpaceHeatMap: SpaceHeatMapController;
    Bound: BoundController;
    constructor(obj: any);
    ClearByTypes(types: Array<string>): Promise<ResultType>;
    Clear(): Promise<ResultType>;
    ClearCache(): Promise<ResultType>;
}
export default CoveringController;
