import { ObjectAbstract } from '../../../common/object-abstract';
import { ResultType, BasicInfoAtomType } from '../../../common/data-type';
import { BoundType, MoveAlongPathEntityAtomType } from '../../../common/interface/bound';
import { ObjectController } from '../../../common/object-controller';
declare class Bound extends ObjectController implements ObjectAbstract {
    className: string;
    private MoveAlongPathEntityAtom;
    private movingObj;
    private pathObj;
    constructor(opt?: BoundType);
    get moving(): any;
    set moving(movingObj: any);
    get path(): any;
    set path(pathObj: any);
    get time(): number;
    set time(time: number);
    get bLoop(): boolean;
    set bLoop(bLoop: boolean);
    get bReverse(): boolean;
    set bReverse(bReverse: boolean);
    GetMoving(): Promise<ResultType>;
    SetMoving(movingObj: any): Promise<ResultType>;
    GetPath(): Promise<ResultType>;
    SetPath(pathObj: any): Promise<ResultType>;
    GetTime(): Promise<ResultType>;
    SetTime(time: number): Promise<ResultType>;
    GetbLoop(): Promise<ResultType>;
    SetbLoop(bLoop: boolean): Promise<ResultType>;
    GetbReverse(): Promise<ResultType>;
    SetbReverse(bReverse: boolean): Promise<ResultType>;
    GetScheme(): {
        MoveAlongPathEntityAtom: MoveAlongPathEntityAtomType;
    };
    GetData(): BoundType;
    SetData(opt: BoundType): void;
    generateAtomData(opt: BoundType): {
        MoveAlongPathEntityAtom?: Partial<MoveAlongPathEntityAtomType>;
        BasicInfoAtom?: Partial<BasicInfoAtomType>;
    };
    SetVisible(bVisible?: boolean): Promise<ResultType>;
}
export default Bound;
